// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       mgl.h
 *  \brief      MGL メインヘッダ
 *  \date       Since: November 28, 2020. 18:18:08 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_MGL_H_1606555088
#define INCGUARD_MGL_H_1606555088

#include <mgl/achievement/mgl_achievement.h>
#include <mgl/audio/mgl_audio.h>
#include <mgl/common/mgl_alignment.h>
#include <mgl/common/mgl_byte_stream.h>
#include <mgl/file/mgl_file.h>
#include <mgl/initialize/mgl_initialize.h>
#include <mgl/input/gamepad/mgl_gamepad.h>
#include <mgl/input/gamepad/mgl_gamepad_settings.h>
#include <mgl/input/keyboard/mgl_keyboard.h>
#include <mgl/input/mouse/mgl_mouse.h>
#include <mgl/input/touch/mgl_touch.h>
#include <mgl/leaderboard/mgl_leaderboard.h>
#include <mgl/memory/mgl_memory.h>
#include <mgl/mgl_application_delegate.h>
#include <mgl/mgl_version.h>
#include <mgl/random/mgl_random_xorshift.h>
#include <mgl/render/font/mgl_ascii_font.h>
#include <mgl/render/mgl_render.h>
#include <mgl/savedata/mgl_savedata.h>
#include <mgl/stl/mgl_stl_containers.h>
#include <mgl/stl/mgl_stl_memory.h>
#include <mgl/stl/mgl_stl_string.h>
#include <mgl/system/chrono/mgl_chrono_elapsed_timer.h>
#include <mgl/system/mgl_system_application.h>
#include <mgl/system/mgl_system_chrono.h>
#include <mgl/system/mgl_system_debug_macro.h>
#include <mgl/system/mgl_system_locale.h>
#include <mgl/system/mgl_system_module_set.h>
#include <mgl/system/mgl_system_window.h>
#include <mgl/task/mgl_task.h>
#include <mgl/text/mgl_text.h>
#include <mgl/ui/mgl_ui_widget.h>

#endif	// INCGUARD_MGL_H_1606555088

// vim: et ts=4 sw=4 sts=4
