// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       mgl_object_renderer.h
 *  \brief      MGL オブジェクトレンダラ
 *  \date       Since: November 29, 2020. 12:15:50 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_MGL_OBJECT_RENDERER_H_1606619750
#define INCGUARD_MGL_OBJECT_RENDERER_H_1606619750

namespace MGL::Render
{
//! オブジェクトレンダラ
class ObjectRenderer
{
public:
    virtual ~ObjectRenderer() noexcept = default;
    
    /* ------------------------------------------------------------------------- */
    /*!
     *  \brief      描画の実行
     */
    /* ------------------------------------------------------------------------- */
    virtual void Flush() noexcept = 0;
};
}   // namespace MGL::Render
#endif	// INCGUARD_MGL_OBJECT_RENDERER_H_1606619750

// vim: et ts=4 sw=4 sts=4
